> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getbukki.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List active catalog items



## OpenAPI

````yaml /openapi/v1.openapi.json get /v1/items
openapi: 3.0.0
info:
  title: Bukki Public API
  description: Workspace-scoped API for approved Bukki integrations.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.getbukki.com
    description: Production
  - url: https://api-staging.getbukki.com
    description: Staging
security: []
tags: []
paths:
  /v1/items:
    get:
      tags:
        - items
      summary: List active catalog items
      operationId: listItems
      parameters:
        - name: search
          required: false
          in: query
          schema:
            maxLength: 120
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: stock
          required: false
          in: query
          schema:
            enum:
              - all
              - tracked
              - low
            type: string
        - name: type
          required: false
          in: query
          schema:
            enum:
              - all
              - goods
              - services
            type: string
        - name: sort
          required: false
          in: query
          schema:
            enum:
              - createdAt
              - name
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  data:
                    items:
                      additionalProperties: false
                      properties:
                        avgCost:
                          $ref: '#/components/schemas/DecimalMoney'
                        costPrice:
                          $ref: '#/components/schemas/DecimalMoney'
                        createdAt:
                          $ref: '#/components/schemas/Instant'
                        description:
                          nullable: true
                          type: string
                        id:
                          $ref: '#/components/schemas/ResourceId'
                        imagePath:
                          nullable: true
                          type: string
                        name:
                          minLength: 1
                          type: string
                        preferredContactId:
                          format: uuid
                          nullable: true
                          type: string
                        reorderPoint:
                          nullable: true
                          type: string
                        sellingPrice:
                          $ref: '#/components/schemas/DecimalMoney'
                        sku:
                          nullable: true
                          type: string
                        stockOnHand:
                          type: string
                        taxable:
                          type: boolean
                        trackStock:
                          type: boolean
                        type:
                          enum:
                            - GOODS
                            - SERVICE
                          type: string
                        unit:
                          nullable: true
                          type: string
                        usage30:
                          minimum: 0
                          type: number
                      required:
                        - avgCost
                        - costPrice
                        - createdAt
                        - description
                        - id
                        - imagePath
                        - name
                        - preferredContactId
                        - reorderPoint
                        - sellingPrice
                        - sku
                        - stockOnHand
                        - taxable
                        - trackStock
                        - type
                        - unit
                        - usage30
                      type: object
                    type: array
                  page:
                    $ref: '#/components/schemas/Page'
                  requestId:
                    $ref: '#/components/schemas/RequestId'
                required:
                  - data
                  - page
                  - requestId
                type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '503':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - WorkspaceApiKey: []
components:
  schemas:
    DecimalMoney:
      example: '42500.00'
      pattern: ^-?(0|[1-9][0-9]*)(\.[0-9]+)?$
      type: string
    Instant:
      example: '2026-09-07T12:00:00.000Z'
      format: date-time
      type: string
    ResourceId:
      format: uuid
      type: string
    Page:
      additionalProperties: false
      properties:
        hasMore:
          type: boolean
        nextCursor:
          minLength: 1
          nullable: true
          type: string
      required:
        - hasMore
        - nextCursor
      type: object
    RequestId:
      maxLength: 128
      minLength: 1
      pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$
      type: string
    ApiErrorResponse:
      additionalProperties: false
      properties:
        error:
          additionalProperties: false
          properties:
            code:
              $ref: '#/components/schemas/ApiErrorCode'
            details:
              oneOf:
                - items:
                    type: string
                  type: array
                - additionalProperties: true
                  type: object
            message:
              minLength: 1
              type: string
          required:
            - code
            - message
          type: object
        requestId:
          $ref: '#/components/schemas/RequestId'
      required:
        - error
        - requestId
      type: object
    ApiErrorCode:
      enum:
        - VALIDATION_ERROR
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - CONFLICT
        - UNPROCESSABLE_ENTITY
        - PLAN_LIMIT_REACHED
        - BOOKS_LOCKED
        - IDEMPOTENCY_CONFLICT
        - RATE_LIMITED
        - SERVICE_UNAVAILABLE
        - REQUEST_FAILED
        - INTERNAL_ERROR
      type: string
  securitySchemes:
    WorkspaceApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Workspace-scoped integration key.

````